#
CREATE TABLE forms (
  id_form int(32) NOT NULL auto_increment,
  name varchar(255),
  email_to varchar(255),
  email_from varchar(255),
  encoding varchar(255),
  subject varchar(255),
  PRIMARY KEY (id_form)
);

# - 
CREATE TABLE forms_fields (
  id_field INT(32) NOT NULL auto_increment,
  name VARCHAR(255),
  type VARCHAR(255),
  caption VARCHAR(255),
  oblig ENUM('yes', 'no'),
  params MEDIUMTEXT,
  pos INT,
  id_form INT,
  PRIMARY KEY (id_field)
);

# -  /
CREATE TABLE forms_messtpl (
  id_tpl INT(32) NOT NULL auto_increment,
  tpl MEDIUMTEXT,
  id_form INT,
  PRIMARY KEY (id_tpl)
);

# - 
CREATE TABLE forms_messages (
  id_mess INT(32) NOT NULL auto_increment,
  message MEDIUMTEXT,
  date DATETIME,
  id_form INT,
  PRIMARY KEY (id_mess)
);